%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Name: 		xft
Version: 	2.1.6
Release: 	6
Group: 		X11/Libraries
Summary: 	X Font Rendering library
License: 	MIT
URL: 		http://fontconfig.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Source:         http:///%{name}-%{version}.tar.bz2

Patch0:		xft-2.1.6-aix.patch


%description

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/xft-2.1.6-aix.patch


%build
autoreconf --install --force
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
#gmake  INSTALL_PATH=%{buildroot}%{_prefix} install-dtd
gmake DESTDIR=%{buildroot} install
#PATH=%{_bindir}:$PATH DATADIR=%{buildroot}%{_datadir}/xml/ \
#SYSCONFDIR=%{buildroot}%{_sysconfdir}/xml/ ./buildDocBookCatalog

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
# Prototype support gtk 64 bit
mkdir -p /opt/freeware/64/lib
cd /opt/freeware/64/lib
ln -sf /opt/freeware/lib/libXft.a .

%files
%defattr (-,root,system)
%{_bindir}/xft-config
/usr/bin/xft-config
%{_libdir}/pkgconfig/*
%{_libdir}/lib*a
/usr/lib/lib*.a
%{_includedir}/X11/*
/usr/include/X11/*
%{_mandir}/man3/*

%changelog
* Sun Apr 20 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 2.1.6-6
- Rebuild for AIX 7.1 using RPMv4.

*  Fri Dec 23 2005  BULL
 - Release 5
 - Prototype gtk 64 bit
*  Tue Nov 15 2005  BULL
 - Release  4

*  Wed May 25 2005  BULL
 - Release  3

*  Tue Nov 24 2004  BULL
 - Release  2
